# Building xscanimage fails

Mathias Weigt (p5iba@medchem2.pharmazie.uni-halle.de)
Mon, 14 Jul 1997 08:09:10 +0200

- Messages sorted by: [ date ] [ thread ] [ subject ] [ author ]
- Next message: Thomas Dent Mirlacher: "Re: Hangs with B&W QuickCam"
- Previous message: Phil Ptkwt Kristin: "Anyone gotten a UMAX Astra 600s to work?"

Servus !
I have a problem compiling xscanimage and got the following:

gcc -c -DHAVE_CONFIG_H -I. -I. -I../include -I../include
-I/usr/local/include -D_GNU_SOURCE
-DPATH_SANE_CONFIG_DIR=/usr/local/etc/sane.d
-DPATH_SANE_DATA_DIR=/usr/local/share -DV_MAJOR=0 -DV_MINOR=61
-I/usr/X11R6/include -g -O2 -Wall xscanimage.c
xscanimage.c: In function `init':
xscanimage.c:1544: warning: implicit declaration of function
`gimp_gtkrc'
xscanimage.c:1544: warning: passing arg 1 of `gtk_rc_parse' makes
pointer from integer without a cast
gcc -c -DHAVE_CONFIG_H -I. -I. -I../include -I../include
-I/usr/local/include -D_GNU_SOURCE
-DPATH_SANE_CONFIG_DIR=/usr/local/etc/sane.d
-DPATH_SANE_DATA_DIR=/usr/local/share -DV_MAJOR=0 -DV_MINOR=61
-I/usr/X11R6/include -g -O2 -Wall progress.c
gcc -c -DHAVE_CONFIG_H -I. -I. -I../include -I../include
-I/usr/local/include -D_GNU_SOURCE
-DPATH_SANE_CONFIG_DIR=/usr/local/etc/sane.d
-DPATH_SANE_DATA_DIR=/usr/local/share -DV_MAJOR=0 -DV_MINOR=61
-I/usr/X11R6/include -g -O2 -Wall preview.c
gcc -c -DHAVE_CONFIG_H -I. -I. -I../include -I../include
-I/usr/local/include -D_GNU_SOURCE
-DPATH_SANE_CONFIG_DIR=/usr/local/etc/sane.d
-DPATH_SANE_DATA_DIR=/usr/local/share -DV_MAJOR=0 -DV_MINOR=61
-I/usr/X11R6/include -g -O2 -Wall preferences.c
gcc -c -DHAVE_CONFIG_H -I. -I. -I../include -I../include
-I/usr/local/include -D_GNU_SOURCE
-DPATH_SANE_CONFIG_DIR=/usr/local/etc/sane.d
-DPATH_SANE_DATA_DIR=/usr/local/share -DV_MAJOR=0 -DV_MINOR=61
-I/usr/X11R6/include -g -O2 -Wall gtkglue.c
gcc -L/usr/X11R6/lib -o .libs/xscanimage xscanimage.o progress.o
preview.o preferences.o gtkglue.o ../sanei/libsanei.a -Wl,-rpath
-Wl,/usr/local/lib ../backend/.libs/libsane.so ../lib/liblib.a -lgimp
-ldl -lgtk -lgdk -lglib -lXpm -lXext -lX11 -lnsl -lintl -lm
xscanimage.o: In function `init':
/usr/src/scanner/sane/sane-0.61/frontend/xscanimage.c:1544: undefined
reference to `gimp_gtkrc'
make[1]: *** [xscanimage] Error 1
make[1]: Leaving directory `/usr/src/scanner/sane/sane-0.61/frontend'
make: *** [all-recursive] Error 1

After commenting line 1544 I got a working xscanimage. Maybe this is due
to my old version of gimp: 0.99.9 ?

    --
    Mathias Weigt
    p5iba@medchem2.pharmazie.uni-halle.de

    --
    Source code, list archive, and docs: http://www.azstarnet.com/~axplinux/sane/
    To unsubscribe: mail -s unsubscribe sane-devel-request@listserv.azstarnet.com

     Next message: Thomas Dent Mirlacher: "Re: Hangs with B&W QuickCam"
     Previous message: Phil Ptkwt Kristin: "Anyone gotten a UMAX Astra 600s to work?"